Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.ra
Class DefaultRequestInfo

    java.lang.Object
      tle.framework.component.impl.ra.DefaultRequestInfo

All Implemented Interfaces:
  RequestInfo

    public class DefaultRequestInfo

extends java.lang.Object
implements RequestInfo

RequestInfo의 구현체

Since:
  2.0
Author:
  최범균

Constructor Summary
`DefaultRequestInfo(HttpServletRequest request, HttpServletResponse response)`

Method Summary
`(package private) void` | `addFileItem(java.lang.String name, FileItem fileItem)` 지정한 이름의 파라미터로 파일을 지정한다.
`(package private) void` | `addParameter(java.lang.String name, java.lang.String[] values)` 지정한 이름의 파라미터를 추가한다.
`java.lang.String` | `getCommandID()` 명령어 ID를 구한다.
`Cookie` | `getCookie(java.lang.String name)` 지정한 쿠키를 구한다.
`java.util.Map` | `getCookieMap()` <쿠키이름, Cookie>의 맵을 리턴한다.
`Cookie[]` | `getCookies()` 쿠키 배열을 구한다.
`java.lang.String` | `getCookieValue(java.lang.String name)` 지정한 쿠키 값을 구한다.
`byte[]` | `getFileByBytes(java.lang.String name)` 지정한 파라미터로 전송된 파일을 byte[] 배열로 구한다.
`FileItem` | `getFileItem(java.lang.String name)` 지정한 파라미터로 전송된 파일을 구한다.
`FileItem[]` | `getFileItems()` 업로드한 파일의 배열을 리턴한다.
`java.lang.String` | `getHeader(java.lang.String name)` 헤더의 값을 구한다.
`java.lang.String` | `getParameter(java.lang.String name)` 파라미터 값을 구한다.
`java.lang.String[]` | `getParameterNames()` 파라미터의 이름을 구한다.
`java.lang.String[]` | `getParameterValues(java.lang.String name)` 파라미터 값을 배열로 구한다.
`HttpServletRequest` | `getRequest()` 이 요청 정보를 생성하는 데 사용한 HttpServletRequest를 구한다.
`HttpServletResponse` | `getResponse()` 이 요청 정보와 관련된 HttpServletResponse를 구한다.
`HttpSession` | `getSession()` 이 요청 정보와 관련된 HttpSession을 구한다.
`(package private) void` | `setCommandID(java.lang.String commandID)` 명령어 ID를 지정한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRequestInfo

    public DefaultRequestInfo(HttpServletRequest request,
                              HttpServletResponse response)

Method Detail

### setCommandID

    void setCommandID(java.lang.String commandID)

  명령어 ID를 지정한다.

  Parameters:
    `commandID` -

### getCommandID

    public java.lang.String getCommandID()

  Description copied from interface: `RequestInfo`
  명령어 ID를 구한다.

  Specified by:
    `getCommandID` in interface `RequestInfo`
  Returns:
    명령어 ID

### addParameter

    void addParameter(java.lang.String name,
                      java.lang.String[] values)

  지정한 이름의 파라미터를 추가한다.

  Parameters:
    `values` -

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Description copied from interface: `RequestInfo`
  파라미터 값을 구한다.

  Specified by:
    `getParameter` in interface `RequestInfo`
  Parameters:
    `name` - 파라미터 이름
  Returns:
    파라미터 값. 존재하지 않을 경우 null을 리턴

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Description copied from interface: `RequestInfo`
  파라미터 값을 배열로 구한다.

  Specified by:
    `getParameterValues` in interface `RequestInfo`
  Parameters:
    `name` - 파라미터 이름
  Returns:
    파라미터 값의 배열. 존재하지 않을 경우 null 또는 길이가 0인 배열을 리턴

### getParameterNames

    public java.lang.String[] getParameterNames()

  Description copied from interface: `RequestInfo`
  파라미터의 이름을 구한다.

  Specified by:
    `getParameterNames` in interface `RequestInfo`
  Returns:
    파라미터 이름 목록

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  Description copied from interface: `RequestInfo`
  헤더의 값을 구한다.

  Specified by:
    `getHeader` in interface `RequestInfo`
  Parameters:
    `name` - 헤더 이름
  Returns:
    헤더 값. 존재하지 않을 경우 null 리턴

### getCookieValue

    public java.lang.String getCookieValue(java.lang.String name)

  Description copied from interface: `RequestInfo`
  지정한 쿠키 값을 구한다.

  Specified by:
    `getCookieValue` in interface `RequestInfo`
  Parameters:
    `name` - 쿠키이름
  Returns:
    쿠키의 값. 쿠키가 존재하지 않을 경우 null을 리턴

### getCookie

    public Cookie getCookie(java.lang.String name)

  Description copied from interface: `RequestInfo`
  지정한 쿠키를 구한다.

  Specified by:
    `getCookie` in interface `RequestInfo`
  Parameters:
    `name` - 쿠키이름
  Returns:
    Cookie 객체. 존재하지 않을 경우 null을 리턴

### getCookies

    public Cookie[] getCookies()

  Description copied from interface: `RequestInfo`
  쿠키 배열을 구한다.

  Specified by:
    `getCookies` in interface `RequestInfo`
  Returns:
    쿠키의 배열. 쿠기가 존재하지 않을 경우 null 또는 길이가 0인 배열

### getCookieMap

    public java.util.Map getCookieMap()

  Description copied from interface: `RequestInfo`
  <쿠키이름, Cookie>의 맵을 리턴한다.

  Specified by:
    `getCookieMap` in interface `RequestInfo`
  Returns:
    쿠키맵

### addFileItem

    void addFileItem(java.lang.String name,
                     FileItem fileItem)

  지정한 이름의 파라미터로 파일을 지정한다.

  Parameters:
    `name` -
    `file` -

### getFileItem

    public FileItem getFileItem(java.lang.String name)

  Description copied from interface: `RequestInfo`
  지정한 파라미터로 전송된 파일을 구한다. 존재하지 않을 경우 null을 리턴한다.

  Specified by:
    `getFileItem` in interface `RequestInfo`
  Parameters:
    `name` - 파라미터 이름
  Returns:
    FileItem

### getFileByBytes

    public byte[] getFileByBytes(java.lang.String name)
                          throws java.lang.Throwable

  Description copied from interface: `RequestInfo`
  지정한 파라미터로 전송된 파일을 byte[] 배열로 구한다.

  Specified by:
    `getFileByBytes` in interface `RequestInfo`
  Parameters:
    `name` - 파라미터 이름
  Returns:
    byte 배열
  Throws:
    `java.lang.Throwable`

### getRequest

    public HttpServletRequest getRequest()

  Description copied from interface: `RequestInfo`
  이 요청 정보를 생성하는 데 사용한 HttpServletRequest를 구한다.

  Specified by:
    `getRequest` in interface `RequestInfo`
  Returns:
    HttpServletRequest

### getResponse

    public HttpServletResponse getResponse()

  Description copied from interface: `RequestInfo`
  이 요청 정보와 관련된 HttpServletResponse를 구한다.

  Specified by:
    `getResponse` in interface `RequestInfo`
  Returns:
    HttpServletResponse

### getSession

    public HttpSession getSession()

  Description copied from interface: `RequestInfo`
  이 요청 정보와 관련된 HttpSession을 구한다.

  Specified by:
    `getSession` in interface `RequestInfo`
  Returns:
    HttpSession. HttpSession이 존재하지 않는 경우 null을 리턴

### getFileItems

    public FileItem[] getFileItems()

  Description copied from interface: `RequestInfo`
  업로드한 파일의 배열을 리턴한다.

  Specified by:
    `getFileItems` in interface `RequestInfo`
  Returns:
    FileItem[]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD